import type { Node } from "antihtml";

interface BaseProps {
	title: string;
	children: Node | Node[],
}
export default function BasePage(props: BaseProps) {
	return <html lang="en">
		<head>
			<meta charset="utf-8" />
			<title>{props.title}</title>
			<meta name="viewport" content="width=device-width" />
			<link rel="stylesheet" href="/style.css" />
			<script type="module" defer="" src="viewport.js" />
		</head>
		<body>
			<header class="header">
				<nav>
					<a href="/index.html">Home</a>
					<a href="/updates.html">Updates</a>
					<a href="/words.html">Words</a>
					<a href="/projects.html">Projects</a>
					<a href="/links.html">Links</a>
				</nav>
			</header>
			{props.children}
		</body>
	</html>
}
