import BasePage from "../components/BasePage.js";
import Viewport from "../components/Viewport.js";
import type { Page } from "../types.js";

const title = "Sandbox page";
export const sandbox: Page = {
	title,
	ref: "/sandbox.html",
	content: <BasePage title={title}>
		<main>
			<h1>{title}</h1>
			<div style="height: 30em"></div>
			<div class="sandbox-inset-3d">
				<Viewport>
					<div class="ceiling"></div>
					<div class="content">
						<p>
							This is some text to test selection and rendering of a 3d transformed section.
							<a href="/index.html">Go to home page</a>
						</p>
						<p>
							Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.
						</p>
					</div>
					<div class="floor"></div>
				</Viewport>
			</div>
			<div style="height: 30em"></div>
		</main>
	</BasePage>
}
